Ver Mensaje Individual
  #3 (permalink)  
Antiguo 16/11/2011, 15:41
mokanium
 
Fecha de Ingreso: noviembre-2011
Mensajes: 1
Antigüedad: 9 años, 8 meses
Puntos: 0
Respuesta: Oracle 9i+Apache2.2.8+php5

Hola aunque bien tarde la respuesta que me funciono, esto es mas para quines lleguen a tener lió:

la sintaxis base seria para hacer un testeo a la base de datos de ejemplo de Oracle 10g Express Edition:

Prerrequisitos:

1-Luego de instalado el oracle habilitar el usuario HR ya que esta bloqueado.
Esto por la consola de oracle se hace de la siguiente forma:

alter user HR account unlock; // Aqui se habilita la cuenta
alter user HR identified by hr; // Aqui se asigna la contraseña "hr" a la cuenta HR

<?php

/*Pruebas*/

include('adodb5/adodb.inc.php');
$server="localhost";
$user="HR";
$pwd="hr";
$db="XE";
$DB = NewADOConnection("oci8");
$DB->Connect($server, $user, $pwd, $db);
$rs = $DB->Execute("select * from employees where department_id=50");

?>

En efecto el error me salia por que estaba comentariada la linea de ;extension=php_oci8.dll donde solo basta con quitar los ";" para dejarla extension=php_oci8.dll y en efecto reiniciar el servidor apache, con eso me funciono, esto se realizo sonre una instalazion de Xampp 1.7.7
[PHP: 5.3.8].

Saludos